INSPIRCD(1)

NAME
inspircd - A modular C++ IRC Daemon

SYNOPSIS
inspircd [--version] [--config <config>] [--runasroot] [--nofork] [--nolog] [--logfile <filename>] [--debug] [--testsuite]

DESCRIPTION
This manual page documents briefly the inspircd command.

inspircd is a modular C++ IRC Daemon (ircd) for Linux, BSD and Windows systems created to provide a stable, modern, lightweight irc server from scratch and provide a vast number of features in a modularised form using an advanced module API. By keeping the functionality of the main core to a minimum we hope to increase the stability and speed of our project and make it customisable to the needs of many users. InspIRCd is designed primarily to be a custom irc server for the chatspike irc network (irc.chatspike.net) but we are releasing it into the public domain under GPL so that you may benefit yourself from our work. The project is written from scratch, avoiding the inherent instability under large loads which can be seen in many other irc server distributions which have the same featureset.

The inspircd command starts the ircd server, using /etc/inspircd/inspircd.conf as its configuration file unless used with --config.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For the complete documentation for inspircd, please see http://inspircd.org/wiki/Main_Page.

--help
    Show summary of options.

--version
    Show the version and revision ID

--config <config>
    Change the file name used for the main configuration file

--runasroot
    Allow InspIRCd to run as root, after a short pause and a nag banner to prevent this being done accidentally (NOT RECOMMENDED OR SUPPORTED!)

--nofork
    Do not fork to the background on startup, useful for debugging modules

--nolog
    Do not write to the logfile, used mostly in conjunction with --debug

--logfile <filename>
    Change the logfile used

--debug
    Force debug logging, overriding the config setting. Usually used with --nolog by the debug launcher

--testsuite
    Test suite for debugging purpose

SEE ALSO
InspIRCd is fully documented by the inspircd documentation team, which is viewable at http://wiki.inspircd.org/.

AUTHOR
InspIRCd was written by Craig Edwards (Brain), Craig McLure (FrostyCoolSlug), Robin Burchell (w00t), and more (see http://www.inspircd.org/wiki/Credits).

This manual page was written by Darren Blaber <dmbtech@gmail.com>, for the Debian project (but may be used by others).